%define anolis_release 1
%bcond_without  tests
%global         srcname     tabulate
%global         forgeurl    https://github.com/astanin/python-tabulate
Version:        0.9.0
%global         tag         v%{version}
%global         archivename %{srcname}-%{version}
%forgemeta

Name:           python-%{srcname}
Release:        %{anolis_release}%{?dist}
Summary:        library fo Pretty-print tabular data in Python

License:        MIT
URL:            %forgeurl
Source:         https://files.pythonhosted.org/packages/ec/fe/802052aecb21e3797b8f7902564ab6ea0d60ff8ca23952079064155d1ae1/tabulate-%{version}.tar.gz#/%forgesource
BuildArch:      noarch

BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3dist(pygments)
BuildRequires:  python3dist(pytest)
%endif

%global _description %{expand:
%{summary}}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}
%description -n python3-%{srcname} %{_description}


%prep
%forgeautosetup

%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{srcname}

%check
%pyproject_check_import

%if %{with tests}
%pytest
%endif

%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE
%{_bindir}/tabulate

%changelog
* Tue Jan 09 2024 zhongling.h <zhonglingh@linux.alibaba.com> - 0.9.0-1
- Initial package.